package com.ruizheng.clw.controller;

import com.ruizheng.clw.service.CarInfoService;
import com.ruoyi.common.core.domain.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(value = "车辆信息", tags = "车辆信息")
@RestController
@RequestMapping("/car")
public class CarInfoController {

    @Autowired
    private CarInfoService carInfoService;

    @GetMapping("/list/{deptId}")
    @ApiOperation("查询车辆列表")
    public AjaxResult listByOnlineStatus(@PathVariable("deptId") Long deptId, Integer onlineStatus) {
        List<Long> deptIds = carInfoService.getMeAndChildrenDeptId(deptId);
        return AjaxResult.success(carInfoService.getCardInfoInDeptIdsAndOnline(deptIds, onlineStatus));
    }


    @GetMapping("/statistics/{deptId}")
    @ApiOperation("查询车辆列表")
    public AjaxResult statistics(@PathVariable("deptId") Long deptId) {
        List<Long> deptIds = carInfoService.getMeAndChildrenDeptId(deptId);
        return AjaxResult.success(carInfoService.statistics(deptIds));
    }



}
