package com.ruizheng.clw.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@ToString
@TableName("mhjyztk.hzfk_clw_xfcl")
public class CarInfo {
    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 组织id
     */
    private Long orgId;
    /**
     * 部门id
     */
    private Long depId;
    /**
     * 创建时间
     */
    private Date gmtCreate;
    /**
     * 修改时间
     */
    private Date gmtModified;
    /**
     * 车牌号码
     */
    private String plateNumber;
    /**
     * 负责人
     */
    private Long userId;
    /**
     * 车辆类型
     */
    private Long categoryId;
    /**
     * 终端绑定
     */
    private String terminalBind;
    /**
     * 车辆来源：0采购 1自购
     */
    private Integer source;
    /**
     * 0国产 1进口
     */
    private Integer domesticImport;
    /**
     * 制造国
     */
    private String manufactureCountry;
    /**
     * 制造企业
     */
    private String manufactureCompany;
    /**
     * 车辆品牌
     */
    private String brand;
    /**
     * 车辆型号
     */
    private String model;
    /**
     * 车辆识别代号
     */
    private String identificationCode;
    /**
     * 车身颜色
     */
    private String color;
    /**
     * 颜料种类
     */
    private String fuelType;
    /**
     * 发动机号
     */
    private String engineNumber;
    /**
     * 发动机排量
     */
    private String emissions;
    /**
     * 发动机功率
     */
    private String power;
    /**
     * 车辆长度
     */
    private String length;
    /**
     * 车辆宽度
     */
    private String width;
    /**
     * 车辆高度
     */
    private String height;
    /**
     * 车辆重量
     */
    private String weight;
    /**
     * 油箱容积
     */
    private String fuelCapacity;
    /**
     * 座位数量
     */
    private Integer seatNumber;
    /**
     * 气缸数量
     */
    private Integer cylinderNumber;
    /**
     * 出厂日期
     */
    private Date manufactureDate;
    /**
     * 装备日期
     */
    private Date allocateDate;
    /**
     * 备注
     */
    private String remark;
    /**
     * 照片，多张图片通过英文都好隔开
     */
    private String photo;
    /**
     * 文档，多张图片通过英文都好隔开
     */
    private String document;
    /**
     * 在线状态，0离线，1：在线
     */
    private Integer onlineStatus;
    /**
     * 车辆状态：0可使用、1使用中、2维修中、3已停用
     */
    private Integer status;
    /**
     * sim卡号
     */
    private String simNumber;
    /**
     * 类型，0作战车辆、1私家车
     */
    private Integer type;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 车主姓名
     */
    private String owner;
    /**
     * 第三方车辆ID
     */
    private Long thirdVehicleId;
    /**
     * 液位展示JSON串
     */
    private String liquidConfig;
    /**
     * 百公里油耗（L）
     */
    private String fuelConsumption;
    /**
     * 重庆车辆ID
     */
    private String cqVehicleId;
    /**
     * 车辆类型名称
     */
    private String cryName;
    /**
     * 机构名称
     */
    private String depName;
    /**
     * 机构电话
     */
    private String tel;
    /**
     * 机构责任人
     */
    private String managerName;
    /**
     * 机构责任人电话
     */
    private String managerPhone;
    /**
     * 定位数据
     */
    private String location;
    /**
     * 价格
     */
    private BigDecimal bidPrice;
    /**
     * 是否物联，0否，1是
     */
    private Integer iot;
    /**
     * 所属机构经度
     */
    private String ssjgjd;
    /**
     * 所属机构维度
     */
    private String ssjgwd;
    /**
     * 所属机构地址
     */
    private String ssjgdz;
    /**
     * 所属机构经度
     */
    private Long electricFenceId;
    /**
     * 电子围栏ID
     */
    private String cqState;
    /**
     * 离线时间
     */
    private Date offlineTime;
    /**
     * 车速限制（KM/H）
     */
    private String speedLimit;
}
