package com.ruizheng.clw.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.ruizheng.clw.domain.CarInfo;

import java.util.List;
import java.util.Map;

public interface CarInfoService extends IService<CarInfo> {
    /**
     * 根据在线状态查询车辆点位信息
     * @param deptIds
     * @param onlineStatus
     * @return
     */
    List<CarInfo> getCardInfoInDeptIdsAndOnline(List<Long> deptIds, Integer onlineStatus) ;

    List<Long> getMeAndChildrenDeptId(Long deptId) ;

    /**
     * 统计车辆在线、离线数据以及未接入数据
     * Map Key in {@link com.ruizheng.clw.constant.ClwConstant}
     * @return
     */
    Map<String, Long> statistics(List<Long> ids);
}
