package com.ruizheng.clw.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruizheng.clw.constant.ClwConstant;
import com.ruizheng.clw.domain.CarInfo;
import com.ruizheng.clw.mapper.CarInfoMapper;
import com.ruizheng.clw.service.CarInfoService;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.mapper.SysDeptMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.Objects;

@Service
public class CarInfoServiceImpl extends ServiceImpl<CarInfoMapper, CarInfo> implements CarInfoService {
    @Autowired
    private SysDeptMapper sysDeptMapper;

    /**
     * 查询当前节点以及子节点ID
     * @param deptId
     * @return
     */
    @Override
    @DataSource(DataSourceType.MASTER)
    public List<Long> getMeAndChildrenDeptId(Long deptId) {
        List<Long> deptIds = sysDeptMapper.selectChildrenDeptIdById(deptId);
        deptIds.add(deptId);
        return deptIds;
    }


    @Override
    @DataSource(DataSourceType.SLAVE)
    public List<CarInfo> getCardInfoInDeptIdsAndOnline(List<Long> deptIds, Integer onlineStatus) {
        LambdaQueryWrapper<CarInfo> lambdaQueryWrapper = new LambdaQueryWrapper<CarInfo>()
                .in(CarInfo::getDepId, deptIds);
        if (Objects.nonNull(onlineStatus)) {
            lambdaQueryWrapper
                    .eq(CarInfo::getOnlineStatus, onlineStatus);
        }
        return baseMapper
                .selectList(lambdaQueryWrapper);
    }


    @Override
    public Map<String, Long> statistics(List<Long> ids) {
        Map<String, Long> statistics = baseMapper.statistics(ids);
        statistics.put(ClwConstant.TOTAL, statistics.get(ClwConstant.ONLINE) + statistics.get(ClwConstant.OFFLINE) + statistics.get(ClwConstant.OFFIOT));
        statistics.put(ClwConstant.NOTICE, 0L);
        return statistics;
    }



}
